<?php
/****************************************************************************************
SMI (Services Maintenance Interventions) est une gestion libre de maintenance et de SAV

Version 0.9.6
Copyright (C) 2006  Sylvain FATOME

This program is free software; you can redistribute it and/or modify it under the terms
of the GNU General Public License as published by the Free Software Foundation; 
either version 2 of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; 
without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with this program
(in the directory docs); 
if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor, 
Boston, MA  02110-1301, USA.

Contact : galawa@free.fr
****************************************************************************************/

include ("../inc/config.inc.php");
?>
<?php require ("../inc/func.inc.php") ?>
<?php require ("../inc/func_date.inc.php") ?>
<?php require ("../inc/func_log.inc.php") ?>
<?php include ("../inc/func_txt.inc.php") ?>
<?php require ("../inc/fic.inc.php") ?>
<?php require_once ("../classes/xpm/smtp.php"); ?>
<?php require ("../inc/mail.inc.php") ?>
<?PHP
	Archivelog(@$HTTP_SESSION_VARS["code_log"]);
?>
<?php
	 	// Variables Formulaire
		$titre = strip_tags(trim(@$_POST["titre"]));
		$typdde = strip_tags(trim(@$_POST["typdde"]));

		$salarie = strip_tags(trim(@$_POST["salarie"]));
		if ($salarie == "Oui")
			$parti = FALSE;
		else
			$parti = TRUE;
		$dcongesf = strip_tags(trim(@$_POST["dconges"]));
		if ($dcongesf <> "")
			$dconges = datefrang($dcongesf);
		else
			$dconges = $dcongesf;
		$fcongesf = strip_tags(trim(@$_POST["fconges"]));
		if ($fcongesf <> "")
			$fconges = datefrang($fcongesf);
		else
			$fconges = $fcongesf;
		$codeage = strip_tags(trim(@$_POST["agence"]));
		$code = strip_tags(trim(@$_POST["code"]));
		$civil = str_majuscules(strip_tags(trim(@$_POST["civil"])));
		$prenom = ucwords(strtolower(strip_tags(trim(@$_POST["prenom"]))));
		$nom = str_majuscules(strip_tags(trim(@$_POST["nom"])));
		$adr1 = str_majuscules(strip_tags(trim(@$_POST["adr1"])));
		$adr2 = str_majuscules(strip_tags(trim(@$_POST["adr2"])));
		$dep = str_majuscules(strip_tags(trim(@$_POST["dep"])));
		$ville = str_majuscules(strip_tags(trim(@$_POST["ville"])));
		$pays = str_majuscules(strip_tags(trim(@$_POST["pays"])));
		$telf = strip_tags(trim(@$_POST["telf"]));
		$fax = strip_tags(trim(@$_POST["fax"]));
		$telp = strip_tags(trim(@$_POST["telp"]));
		$email = strtolower(strip_tags(trim(@$_POST["email"])));
		$mess = strtolower(strip_tags(trim(@$_POST["mess"])));
		$nota = strip_tags(trim(@$_POST["nota"]));
		
		$codeuser = @$HTTP_SESSION_VARS["code_log"];

		$pass = cremdp(FALSE);
		$passcrypt = md5($pass);

		$retourliste = TRUE;

		if ($typdde == "add")
		{
			$codet = crecode("T");

			$conn = mysql_connect(DBHOST, DBUSER, DBPASS);
			mysql_select_db(DBNAME);

			// Ajout de la fiche Technicien
		
			$rech = "SELECT * FROM " .TBTEC. " WHERE tec_code = '$codet'";
			$rs = mysql_query($rech) or die(mysql_error());
			if (mysql_num_rows($rs) == 0)
			{
				$rech = "INSERT INTO " .TBTEC;
				$rech .= " (tec_datecrea,tec_codecrea,tec_datemod,tec_codemod,tec_congd,tec_congf,tec_codeage,tec_code,tec_pass,tec_civilite,tec_prenom,tec_nom,tec_adr1,tec_adr2,tec_dep,tec_ville,tec_pays,tec_telf,tec_fax,tec_telp,tec_email,tec_mess,tec_nota,tec_out,tec_dateout) VALUES";
				$rech .= " ('$datea','$codeuser','$datea','$codeuser','$dconges','$fconges','$codeage','$codet','$passcrypt','$civil','$prenom','$nom','$adr1','$adr2','$dep','$ville','$pays','$telf','$fax','$telp','$email','$mess','$nota','$parti','')";
				$rs2 = mysql_query($rech) or die(mysql_error());

				// Ajout du compte pour connexion
				// Niveau par défaut : 3
				// Actif par défaut
					
				$log_ip = $_SERVER['REMOTE_ADDR']; // Récupération adresse IP
				$rech = "INSERT INTO " .TBPW. "(pw_code,pw_pass,pw_level,pw_lastsuccess,pw_lastip,pw_actif) VALUES ('$codet','$passcrypt','3','$dateheurea','$log_ip','1')";
				$rs2 = mysql_query($rech) or die(mysql_error());

				$msg = "Fiche Ajoutée avec succès !";
			}
			else
			{
				$msg = "Ce code existe déjà !";
				$retourliste = FALSE;
			}
			mysql_free_result($rs);
			mysql_close($conn);

			if ($retourliste == TRUE)
			{
				// Envoi d'email vers le technicien
				envoi_mail("Ouverture de votre compte technicien","tec","cre","xxx","tec",$codet,$pass,"",TRUE);
				// Envoi d'email vers le centre de gestion
				envoi_mail("Création de technicien","tec","cre","xxx","cdg",$codet,"","",FALSE);
			}
		}
		
		if ($typdde == "edit")
		{
			$existeint = FALSE;

			if ($parti == TRUE) // Si le technicien n'est plus salarié, quelques contrôles sont nécessaires
			{
				// Vérifie si utilisé dans une fiche intervention non close
				
				if (exist_tec_in_int_ouv($code) == TRUE)
				{
					$existeint = TRUE;
					$msg = "Il faut d'abord clore les interventions en cours pour licencier ce technicien.";
					$retourliste = FALSE;
				}

			}

			if ($existeint == FALSE)
			{
				// Plus besoin de dates de congés si licencié

				if ($parti == TRUE)
				{
					$dconges="";
					$fconges="";
				}


				$conn = mysql_connect(DBHOST, DBUSER, DBPASS);
				mysql_select_db(DBNAME);
	
				// MAJ de la fiche Technicien
				$rech = "UPDATE `" .TBTEC. "` SET `tec_datemod`='".$datea."', `tec_codemod`='".$codeuser."', `tec_congd`='".$dconges."', `tec_congf`='".$fconges."', `tec_codeage`='".$codeage."', `tec_civilite`='".$civil."', `tec_prenom`='".$prenom."', `tec_nom`='".$nom."', `tec_adr1`='".$adr1."', `tec_adr2`='".$adr2."', `tec_ville`='".$ville."', `tec_pays`='".$pays."', `tec_telf`='".$telf."', `tec_fax`='".$fax."', `tec_telp`='".$telp."', `tec_email`='".$email."', `tec_mess`='".$mess."', `tec_nota`='".$nota."', `tec_out`='".$parti."', `tec_dateout`='".$datea."'  WHERE `tec_code` = '".$code."'";
				$rs = mysql_query($rech) or die(mysql_error());

				if ($parti == TRUE)
				{
					// Suppression du mot de passe rattaché
		
					$rech = "DELETE FROM `" .TBPW. "` WHERE `pw_code` = '$code'";
					$rs = mysql_query($rech) or die(mysql_error());

					// On rend l'agence employeur propriétaire des fichiers de ce technicien
					$rech = "UPDATE `" .TBFIC;
					$rech.= "` SET `fic_codecrea`='".@$HTTP_SESSION_VARS["code_age"]."'  WHERE `fic_codecrea` = '".$code."'";
					$rs = mysql_query($rech) or die(mysql_error());

				}
	
				mysql_close($conn);

				$msg = "Fiche modifiée avec succès !";

				if ($parti == TRUE)
				{
					// Envoi d'email vers le centre de gestion
					envoi_mail("Licenciement de technicien","tec","lic","xxx","cdg",$code,"","",TRUE);
				}
			}
		}

		if ($typdde == "del")
		{
			// SUPPRESSION de la fiche Technicien
			
			$existeint1 = FALSE;
			$existeint2 = FALSE;
			$msg = "";

			// Vérifie si utilisé dans une fiche intervention
			
			if (exist_tec_in_int($code) == TRUE)
			{
				$existeint1 = TRUE;
				$msg = "Ce technicien est présent dans une fiche intervention.<br>Il suffit donc le passer en mode 'licencié'.";
				$retourliste = FALSE;
			}

			// Vérifie si utilisé dans une fiche intervention en temps que code de création
			
			if (exist_in_int_codecrea($code) == TRUE)
			{
				$existeint2 = TRUE;
				if ($msg <> "")
					$msg .= "<br><br>";
				$msg = "Ce technicien a déjà saisi des interventions (vous ne pouvez ne pouvez pas le supprimer).<br>Il suffit de le noter 'licencié'.";
				$retourliste = FALSE;
			}

			if  (($existeint1 == FALSE) AND ($existeint2 == FALSE))
			{
				$conn = mysql_connect(DBHOST, DBUSER, DBPASS);
				mysql_select_db(DBNAME);

				// On rend l'agence employeur propriétaire des fichiers de ce technicien
				$rech = "UPDATE `" .TBFIC;
				$rech.= "` SET `fic_codecrea`='".@$HTTP_SESSION_VARS["code_age"]."'  WHERE `fic_codecrea` = '".$code."'";
				$rs = mysql_query($rech) or die(mysql_error());

				$rech = "DELETE FROM `" .TBTEC. "` WHERE `tec_code` = '$code'";
				$rs = mysql_query($rech) or die(mysql_error());

				// Suppression du mot de passe rattaché
	
				$rech = "DELETE FROM `" .TBPW. "` WHERE `pw_code` = '$code'";
				$rs = mysql_query($rech) or die(mysql_error());

				mysql_close($conn);

				// Envoi d'email vers le centre de gestion
				envoi_mail("Suppression de technicien","tec","del","xxx","cdg",$code,"","",TRUE);

				$msg = "Fiche supprimée avec succès !";
	

			}
		}
?>

<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<title>SMI - ESPACE PRIVE : Fiche Technicien</title>

<!-- Feuille de style pour les affichages courants -->
<link href="../css/smi.css" rel="stylesheet" type="text/css">

<!-- Feuille de style & Script pour le menu -->
<link href="../inc/menu.css" rel="stylesheet" type="text/css">
<script language="JavaScript" src="../coolmenus/coolmenus4.js"></script>

<!-- Scripts Javascript pour affichages -->
<script language="JavaScript" src="../inc/aff.js"></script>

</head>
</body>

<?php 
	include_once ("entete.php"); 
?>

<p align="center"><span class="titrepage"><?PHP echo $titre ?></span></p>
<p align="center">&nbsp;</p>
<p align="center" class="annot_gras_it"><?PHP echo $msg ?></p>
<?PHP 
if ($retourliste == FALSE) 
{ 
	if (($typdde == "add") OR ($typdde == "edit"))
	{
?>
		<p align="center">
		<a href="javascript:history.back();">
		Retour &agrave; la saisie
		</a>
<?PHP
	}
?>
	<table width="100%"  border="0">
	  <tr>
		<td width="3%">&nbsp;</td>
		<td width="44%"><div align="right"><a href="tec_lst.php"><img src="../img/liste.gif" width="33" height="34" border="0" align="absmiddle"></a> <a href="tec_lst.php" class="annot_gras_it">Retour &agrave; la liste</a></div></td>
		<td width="7%">&nbsp;</td>
		<td width="43%"><a href="index.php"><em><img src="../img/index.gif" width="48" height="48" border="0" align="absmiddle"> </em><span class="annot_gras_it">Revenir &agrave; l'accueil</span> </a></td>
		<td width="3%">&nbsp;</td>
	  </tr>
	</table>
<?PHP } else { ?>
	<script type="text/javascript">
	window.setTimeout("location=('tec_lst.php');",2000)
	</script>
	<p align="center" class="annot_std_it">Retour à la liste dans 2 secondes...</p>
<?PHP } ?>

<?php 
	include_once ("pied.php")
?>


